Name:           system-storage-manager
Version:        0.4
Release:        4%{?dist}
Summary:        A single tool to manage your storage

Group:          System Environment/Base
License:        GPLv2+
URL:            http://storagemanager.sf.net
Source0:        http://downloads.sourceforge.net/storagemanager/%{name}-%{version}.tar.gz


Patch1: ssm-0.4-ssm-big-update-no-1.patch
Patch2: ssm-0.4-misc-get_unit_size-accept-different-unit-formats.patch
Patch3: ssm-0.4-ssm-btrfs-backend-try-to-find-the-real-device.patch
Patch4: ssm-0.4-ssm-force-btrfs-device-add.patch
Patch5: ssm-0.4-tests-Fix-they-way-we-gather-information-about-btrfs.patch
Patch6: ssm-0.4-tests-Make-btrfs-recognize-devices-from-tests-suite-.patch
Patch7: ssm-0.4-test-008-Device-count-should-go-down-after-removing-.patch
Patch8: ssm-0.4-misc-Fix-get_device_size-to-work-with-partitions-cor.patch
Patch9: ssm-0.4-ssm-Suppress-backtrace-if-command-failed.patch
Patch10: ssm-0.4-ssm-Add-SSM_PRINT_BACKTRACE-environment-variable.patch
Patch11: ssm-0.4-misc-Use-wipefs-a-in-misc.wipefs-helper.patch
Patch12: ssm-0.4-ssm-Fix-various-problems-found-by-pylint.patch
Patch13: ssm-0.4-ssm-Remove-unnecessary-usr-bin-env-python.patch


BuildArch:      noarch
BuildRequires:  python-devel >= 2.6
Requires:       python >= 2.6
Requires:       python-libs >= 2.6
Requires:       util-linux
Requires:       which
Requires:       xfsprogs
Requires:       e2fsprogs


%description
System Storage Manager provides an easy to use command line interface to manage
your storage using various technologies like lvm, btrfs, encrypted volumes and
more.

In more sophisticated enterprise storage environments, management with Device
Mapper (dm), Logical Volume Manager (LVM), or Multiple Devices (md) is becoming
increasingly more difficult.  With file systems added to the mix, the number of
tools needed to configure and manage storage has grown so large that it is
simply not user friendly.  With so many options for a system administrator to
consider, the opportunity for errors and problems is large.

The btrfs administration tools have shown us that storage management can be
simplified, and we are working to bring that ease of use to Linux file systems
in general.

You should install the ssm if you need to manage your storage with various
technologies via a single unified interface.


%prep
%setup -q

# Contains upstream patches
# 39eb3058a02a2b482c4c5bdf0120b70605a6b23a..4210d7560585f2a241eaa5ebc364c98d49f565d2
%patch1 -p1
# misc: get_unit_size() accept different unit formats
%patch2 -p1
# ssm: btrfs backend: try to find the real device
%patch3 -p1
# ssm: force btrfs device add
%patch4 -p1
# tests: Fix they way we gather information about btrfs
%patch5 -p1
# tests: Make btrfs recognize devices from tests suite properly
%patch6 -p1
# test 008: Device count should go down after removing a device
%patch7 -p1
# misc: Fix get_device_size to work with partitions correctly
%patch8 -p1
# ssm: Suppress backtrace if command failed
%patch9 -p1
# ssm: Add SSM_PRINT_BACKTRACE environment variable
%patch10 -p1
# misc: Use wipefs -a in misc.wipefs() helper
%patch11 -p1
# ssm: Fix various problems found by pylint
%patch12 -p1
# ssm: Remove unnecessary /usr/bin/env python
%patch13 -p1

%build
# nothing to build


%install
rm -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}

%check
make test


%files
%{_bindir}/ssm
%{_docdir}/%{name}-%{version}/
%{_mandir}/man8/ssm.8*
%{python_sitelib}/ssmlib/
%{python_sitelib}/*.egg-info


%changelog
* Mon Jan 20 2014 Lukas Czerner <lczerner@redhat.com> 0.4-4
- Update to a new upstream release v0.4
- Remove btrfs resize support
- Unmount all btrfs subvolumes when removing a filesystem
- Fix size argument parsing for create and snapshot command
- Fix list output for some cases
- Add support to create encrypted volumes with crypt backend
- Add dry-run option
- Fix removing volumes with crypt backend
- Add raid1 and raid10 support for lvm backend
- Allow to check btrfs volumes
- Fix error handling when trying to resize btrfs subvolume
- Fix ssm mount command so it detects directory properly
- Suppress backtrace when a command fails
- Fix ssm to recognize units in new btrfs output properly
- Use correct sysfs file to get size for a partition
- Fix ssm to be able add a device with signature to btrfs file system
- Resognize btrfs devices from new btrfs output properly

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jun  1 2012 Lukas Czerner <lczerner@redhat.com> 0.2-1
- Initial version of the package
